%define api 1.0

Summary:	GStreamer backend to Phonon (Qt4)
Name:		phonon-gstreamer
Version:	4.9.0
Release:	1
Epoch:		2
License:	LGPLv2.1+
Group:		Sound
Url:		http://phonon.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/phonon/phonon-backend-gstreamer/%{version}/src/phonon-backend-gstreamer-%{version}.tar.xz
Patch0:		phonon-4.7.80-flac_mimetype.patch
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	imagemagick
BuildRequires:	qmake5
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-%{api})
BuildRequires:	pkgconfig(gstreamer-audio-%{api})
# Not in gst 1.0 yet, at least not in 1.2.4
#BuildRequires:	pkgconfig(gstreamer-cdda-%{api})
BuildRequires:	pkgconfig(gstreamer-pbutils-%{api})
BuildRequires:	pkgconfig(gstreamer-plugins-base-%{api})
BuildRequires:	pkgconfig(gstreamer-riff-%{api})
BuildRequires:	pkgconfig(gstreamer-rtp-%{api})
BuildRequires:	pkgconfig(gstreamer-rtsp-%{api})
BuildRequires:	pkgconfig(gstreamer-sdp-%{api})
BuildRequires:	pkgconfig(gstreamer-tag-%{api})
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(phonon)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5X11Extras)
Requires:	phonon-gstreamer-common
Requires:	gstreamer%{api}-libav
Requires:	gstreamer%{api}-pulse
Requires:	gstreamer%{api}-plugins-bad
Requires:	gstreamer%{api}-plugins-base
Requires:	gstreamer%{api}-plugins-good
Requires:	gstreamer%{api}-plugins-ugly
Requires:	gstreamer%{api}-soup
Suggests:	gstreamer%{api}-ffmpeg
Provides:	phonon-backend

%description
GStreamer backend to Phonon (Qt4).

%files
%{_libdir}/kde4/plugins/phonon_backend/phonon_gstreamer.so
%{_datadir}/kde4/services/phononbackends/gstreamer.desktop

#----------------------------------------------------------------------------

%package common
Summary:	Files used by both Qt4 and Qt5 versions of Phonon GStreamer backend
Group:		Sound
Conflicts:	phonon-gstreamer < 2:4.8.2

%description common
Files used by both Qt4 and Qt5 versions of Phonon GStreamer backend.

%files common
%{_iconsdir}/hicolor/*/apps/phonon-gstreamer.*

#----------------------------------------------------------------------------

%package -n phonon4qt5-gstreamer
Summary:	GStreamer backend to Phonon (Qt5)
Group:		Sound
Requires:	phonon-gstreamer-common
Requires:	gstreamer%{api}-libav
Requires:	gstreamer%{api}-pulse
Requires:	gstreamer%{api}-plugins-bad
Requires:	gstreamer%{api}-plugins-base
Requires:	gstreamer%{api}-plugins-good
Requires:	gstreamer%{api}-plugins-ugly
Requires:	gstreamer%{api}-soup
Suggests:	gstreamer%{api}-ffmpeg
Provides:	phonon4qt5-backend

%description -n phonon4qt5-gstreamer
GStreamer backend to Phonon (Qt5).

%files -n phonon4qt5-gstreamer
%{_qt5_plugindir}/phonon4qt5_backend/phonon_gstreamer.so

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

mkdir Qt4
mv `ls -1 |grep -v Qt4` Qt4
cp -a Qt4 Qt5

%build
pushd Qt4
%cmake -DPHONON_BUILD_PHONON4QT5:BOOL=OFF
%make
popd

pushd Qt5
%cmake_qt5 -DPHONON_BUILD_PHONON4QT5:BOOL=ON
%make
popd

%install
%makeinstall_std -C Qt4/build

%makeinstall_std -C Qt5/build

%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.0-1
- (d913480) Build requires pkgconfig(Qt5X11Extras)


